EasyBlogging - Not compatible with Wp 3.3

Just a heads up, but it seems that the easyblogging plugin is not compatible yet with Wp 3.3(Beta).
When i activate both together I cannot see the activate easy blogging button in the top menu.
Thought you might like to know.

Conor.